import request from '@/utils/system/request'

// 查询App用户列表
export function getUserList(data) {
    return request({
        url: '/agent-service/appUser/getUserList',
        method: 'post',
        data
    })
}

// 查询用户广告数据统计列表
export function getStaticList(params) {
    return request({
        url: '/agent-service/appUser/staticList',
        method: 'get',
        params
    })
}

// 平台或渠道封禁用户
export function riskBannedUser(data) {
    return request({
        url: '/agent-service/risk/bannedUser',
        method: 'post',
        data
    })
}

// 锁定用户禁止用户登录
export function riskLockUser(params) {
    return request({
        url: '/agent-service/risk/lockUser',
        method: 'get',
        params
    })
}

// 查询渠道启用的应用列表
export function getEnabledList(params) {
    return request({
        url: '/agent-service/app/getEnabledList',
        method: 'get',
        params
    })
}